package com.ruoyi.system.domain.conference;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.system.domain.ZxFj;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 政协会议活动对象 zx_conference
 * 
 * @author boman
 * @date 2024-03-06
 */
public class ZxConference extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会议活动ID */
    private Long conferenceId;
    /**
     * 会议通知时查询列表使用，不在数据库中
     */
    private Long userId;

    /** 会议名称 */
    @Excel(name = "会议名称")
    private String conferenceTitle;

    /** 会议日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "会议日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date conferenceDate;

    /** 会议时间 */
    @Excel(name = "会议时间")
    private String conferenceTime;

    /** 会议地点 */
    @Excel(name = "会议地点")
    private String conferenceAddress;
    /**
     * 会议类型
     */
    private String conferenceType;
    /**
     * 已读人数
     */
    private String read;
    /**
     * 未读人数
     */
    private String noRead;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date publishTime;

    /** 政协会议活动-用户关联信息 */
    private List<ZxConferenceUser> zxConferenceUserList;
    /**
     * 会议二维码
     */
    private String conferenceQr;

    /**
     * 附件
     */
    private List<ZxFj> zxFjListFj;

    public List<ZxFj> getZxFjListFj() {
        return zxFjListFj;
    }

    public void setZxFjListFj(List<ZxFj> zxFjListFj) {
        this.zxFjListFj = zxFjListFj;
    }
    public String getConferenceType() {
        return conferenceType;
    }

    public void setConferenceType(String conferenceType) {
        this.conferenceType = conferenceType;
    }

    public String getConferenceQr() {
        return conferenceQr;
    }

    public void setConferenceQr(String conferenceQr) {
        this.conferenceQr = conferenceQr;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getNoRead() {
        return noRead;
    }

    public void setNoRead(String noRead) {
        this.noRead = noRead;
    }

    public String getRead() {
        return read;
    }

    public void setRead(String read) {
        this.read = read;
    }

    public void setConferenceId(Long conferenceId)
    {
        this.conferenceId = conferenceId;
    }

    public Long getConferenceId() 
    {
        return conferenceId;
    }
    public void setConferenceTitle(String conferenceTitle) 
    {
        this.conferenceTitle = conferenceTitle;
    }

    public String getConferenceTitle() 
    {
        return conferenceTitle;
    }
    public void setConferenceDate(Date conferenceDate) 
    {
        this.conferenceDate = conferenceDate;
    }

    public Date getConferenceDate() 
    {
        return conferenceDate;
    }
    public void setConferenceTime(String conferenceTime) 
    {
        this.conferenceTime = conferenceTime;
    }

    public String getConferenceTime() 
    {
        return conferenceTime;
    }
    public void setConferenceAddress(String conferenceAddress) 
    {
        this.conferenceAddress = conferenceAddress;
    }

    public String getConferenceAddress() 
    {
        return conferenceAddress;
    }
    public void setPublishTime(Date publishTime) 
    {
        this.publishTime = publishTime;
    }

    public Date getPublishTime() 
    {
        return publishTime;
    }

    public List<ZxConferenceUser> getZxConferenceUserList()
    {
        return zxConferenceUserList;
    }

    public void setZxConferenceUserList(List<ZxConferenceUser> zxConferenceUserList)
    {
        this.zxConferenceUserList = zxConferenceUserList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("conferenceId", getConferenceId())
            .append("conferenceTitle", getConferenceTitle())
            .append("conferenceDate", getConferenceDate())
            .append("conferenceTime", getConferenceTime())
            .append("conferenceAddress", getConferenceAddress())
            .append("publishTime", getPublishTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("zxConferenceUserList", getZxConferenceUserList())
            .toString();
    }
}
